Page MenuHomeFreeBSD

Update libc to 0.2.49 for USES=cargo
ClosedPublic

Authored by jbeich on Feb 23 2019, 1:10 PM.

Details

Reviewers
tobik
Group Reviewers
rust
O5: Ports Framework(Owns No Changed Paths)
portmgr
Commits
rP494175: USES=cargo to update libc to 0.2.49 for Tier2
Summary
  • Ports using cargo vendor and the like aren't covered
Test Plan

Not yet. Waiting for Rust 1.33.0 next week to save time.

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 22673
Build 21774: arc lint + arc unit

Event Timeline

jbeich created this revision.Feb 23 2019, 1:10 PM
jbeich updated this revision to Diff 54255.Feb 23 2019, 1:16 PM
jbeich edited the test plan for this revision. (Show Details)
  • Typo
tobik accepted this revision.Feb 23 2019, 2:24 PM
tobik added a subscriber: tobik.

This looks ok to me.

Ports using cargo vendor and the like aren't covered

I switched graphics/librsvg2-rust over to libc-0.2.49 in rP493676. We could probably do the same with net-im/fractal.

How many ports are there that do this (ignoring the Gecko ports) after that?

This revision is now accepted and ready to land.Feb 23 2019, 2:24 PM

How many ports are there that do this (ignoring the Gecko ports) after that?

Only security/suricata as security/kr is marked BROKEN. www/cliqz contains Gecko but isn't based on USE_GECKO.

$ comm -23 rust.all.list rust.uses-cargo.list
graphics/librsvg2-rust
mail/thunderbird
net-im/fractal
security/kr
security/suricata
www/cliqz
www/firefox
www/firefox-esr
www/seamonkey
This comment was removed by mikael.urankar_gmail.com.
jbeich updated this revision to Diff 54478.Feb 27 2019, 1:57 PM
This revision now requires review to proceed.Feb 27 2019, 1:57 PM
tobik accepted this revision.Feb 27 2019, 8:58 PM
This revision is now accepted and ready to land.Feb 27 2019, 8:58 PM
This revision was automatically updated to reflect the committed changes.
jbeich added a comment.EditedMar 13 2019, 7:52 PM

mail/thunderbird
www/cliqz
www/firefox
www/firefox-esr

Fixed by rP494312. Updating whole libc either via huge patch or Mk/bsd.gecko.mk hackery was more risky and required a lot of work for essentially one patch.

security/suricata

Fixed by rP495041 (has libc-0.2.50 now).

net-im/fractal

Fixed in rP495652 by copying www/firefox-esr/files/patch-bug1530098. Less work and easier to prune on update.

tobik added a comment.Mar 14 2019, 5:48 AM

Thank you for fixing the rest of them.

In rP495652 I don't understand why you update .cargo-checksum.json with new checksums when you could just replace it with

{"files":{},"package":"76e3a3ef172f1a0b9a9ff0dd1491ae5e6c948b94479a3021819ba7d860c8645d"}

in patch-no-x86. Same in the Gecko ports. This isn't any more hacky than updating .cargo-checksum.json with new checksums, reduces the patch size considerably, and doesn't require extra tools beyond sed -i.orig -e 's/"files":{[^}]*}/"files":{}/' .cargo-checksum.json

In rP495652 I don't understand why you update .cargo-checksum.json with new checksums...

For consistency with other patches under net-im/fractal/files/. All of those are supposed to go away on the next update.